Table of Contents

Class: Sensitive | Twisted-0.17.4/twisted/python/rebuild.py
--- | ---

### A utility mixin that's sensitive to rebuilds.

This is a mixin for classes (usually those which represent collections of callbacks) to make sure that their code is up-to-date before running.

Methods |
--- | ---
latestVersionOf needRebuildUpdate rebuildUpToDate
| latestVersionOf

    latestVersionOf ( self,  object )

### Get the latest version of an object.

This can handle just about anything callable; instances, functions, methods, and classes.

| needRebuildUpdate

    needRebuildUpdate ( self )

| rebuildUpToDate

    rebuildUpToDate ( self )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:23 2002 by HappyDoc version 2.0